/* Tabla que registra intentos no contestados de ofrecer llamada a agente */
CREATE TABLE IF NOT EXISTS ring_noanswer_incoming (
    id              INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,

    datetime_start  DATETIME NOT NULL,
    datetime_end    DATETIME NOT NULL,
    agentchannel    VARCHAR(128) NOT NULL,

    id_call         INT UNSIGNED NOT NULL,
    id_agent        INT UNSIGNED,

    FOREIGN KEY (id_call) REFERENCES call_entry (id),
    FOREIGN KEY (id_agent) REFERENCES agent (id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS ring_noanswer_outgoing (
    id              INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,

    datetime_start  DATETIME NOT NULL,
    datetime_end    DATETIME NOT NULL,
    agentchannel    VARCHAR(128) NOT NULL,

    id_call         INT UNSIGNED NOT NULL,
    id_agent        INT UNSIGNED,

    FOREIGN KEY (id_call) REFERENCES calls (id),
    FOREIGN KEY (id_agent) REFERENCES agent (id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

